## fs-uae 2.6.2+dfsg

=== arcade/Makefile ===
version := $(strip $(shell cat VERSION))
build_dir := "."
dist_name = fs-uae-arcade-$(version)
dist_dir := $(build_dir)/$(dist_name)

DESTDIR :=
prefix := /usr/local

ifeq ($(wildcard OpenGL),)
	OpenGL_dir := "../fs-uae-launcher"
else
	OpenGL_dir := "."
endif

ifeq ($(wildcard fsbc),)
	fsbc_dir := "../fs-uae-launcher"
else
	fsbc_dir := "."
endif

ifeq ($(wildcard fsgs),)
	fsgs_dir := "../fs-uae-launcher"
else
	fsgs_dir := "."
endif

ifeq ($(wildcard fstd),)
	fstd_dir := "../fs-uae-launcher"
else
	fstd_dir := "."
endif

ifeq ($(wildcard fsui),)
	fsui_dir := "../fs-uae-launcher"
else
	fsui_dir := "."
endif

ifeq ($(wildcard game_center),)
	game_center_dir := "../fs-uae-launcher"
else
	game_center_dir := "."
endif

ifeq ($(wildcard oyoyo),)
	oyoyo_dir := "../fs-uae-launcher"
else
	oyoyo_dir := "."
endif

ifeq ($(wildcard six),)
	six_dir := "../fs-uae-launcher"
else
	six_dir := "."
endif

all: mo

share/locale/%/LC_MESSAGES/fs-uae-arcade.mo: po/%.po
	mkdir -p share/locale/$*/LC_MESSAGES
	msgfmt --verbose $< -o $@

catalogs = \


mo: $(catalogs)


install-program:
ifeq ($(DESTDIR),)
	python3 setup.py install	 --install-lib=$(prefix)/share/fs-uae-arcade	 --install-scripts=$(prefix)/share/fs-uae-arcade
	install -d $(DESTDIR)$(prefix)/bin
	rm -f $(DESTDIR)$(prefix)/bin/fs-uae-arcade
	ln -s ../share/fs-uae-arcade/fs-uae-arcade	 $(DESTDIR)$(prefix)/bin/fs-uae-arcade
else
	python3 setup.py install	 --root=$(DESTDIR)	 --install-lib=$(prefix)/share/fs-uae-arcade	 --install-scripts=$(prefix)/share/fs-uae-arcade
	install -d $(DESTDIR)$(prefix)/bin
	rm -f $(DESTDIR)$(prefix)/bin/fs-uae-arcade
	ln -s ../share/fs-uae-arcade/fs-uae-arcade	 $(DESTDIR)$(prefix)/bin/fs-uae-arcade
endif

install-data: mo
	mkdir -p $(DESTDIR)$(prefix)/share
	cp -a share/* $(DESTDIR)$(prefix)/share

	mkdir -p $(DESTDIR)$(prefix)/share/doc/fs-uae-arcade
	cp -a README COPYING $(DESTDIR)$(prefix)/share/doc/fs-uae-arcade

install: install-data install-program

dist_dir := fs-uae-arcade-$(version)

distdir:
	rm -Rf $(dist_dir)/*
	mkdir -p $(dist_dir)

	cp -a $(OpenGL_dir)/OpenGL $(dist_dir)/
	cp -a $(fsbc_dir)/fsbc $(dist_dir)/
	cp -a $(fsgs_dir)/fsgs $(dist_dir)/
	cp -a $(fstd_dir)/fstd $(dist_dir)/
	cp -a $(fsui_dir)/fsui $(dist_dir)/
	cp -a $(game_center_dir)/game_center $(dist_dir)/
	cp -a $(oyoyo_dir)/oyoyo $(dist_dir)/
	cp -a $(six_dir)/six $(dist_dir)/
	cp -a share $(dist_dir)/
	mkdir $(dist_dir)/po/

	find $(dist_dir) -name "*.mo" -delete
	find $(dist_dir) -name "*.pyc" -delete
	find $(dist_dir) -name "*.pyo" -delete
	find $(dist_dir) -name __pycache__ -delete

	cp COPYING $(dist_dir)/
	cp INSTALL $(dist_dir)/
	cp Makefile $(dist_dir)/
	cp README $(dist_dir)/
	cp VERSION $(dist_dir)/
	mkdir -p $(dist_dir)/debian
	cp debian/changelog $(dist_dir)/debian
	cp debian/compat $(dist_dir)/debian
	cp debian/control $(dist_dir)/debian
	cp debian/copyright $(dist_dir)/debian
	cp debian/links $(dist_dir)/debian
	cp debian/rules $(dist_dir)/debian
	mkdir -p $(dist_dir)/debian/source
	cp debian/source/format $(dist_dir)/debian/source
	mkdir -p $(dist_dir)/dist/macosx
	cp dist/macosx/Info.plist $(dist_dir)/dist/macosx
	cp dist/macosx/Makefile $(dist_dir)/dist/macosx
	cp dist/macosx/fs-make-standalone-app.py $(dist_dir)/dist/macosx
	cp dist/macosx/sign.py $(dist_dir)/dist/macosx
	cp fs-uae-arcade $(dist_dir)/
	cp fs-uae-arcade.spec $(dist_dir)/
	mkdir -p $(dist_dir)/icon
	cp icon/fs-uae-arcade.icns $(dist_dir)/icon
	cp icon/fs-uae-arcade.ico $(dist_dir)/icon
	cp po-update.py $(dist_dir)/
	cp setup.py $(dist_dir)/
	cp update-version $(dist_dir)/
	cd $(dist_dir) && ./update-version setup.py --strict
	cd $(dist_dir) && ./update-version debian/changelog --deb
	cd $(dist_dir) && ./update-version dist/macosx/Info.plist --strict
	cd $(dist_dir) && ./update-version fs_uae_launcher/main.py
	cd $(dist_dir) && ./update-version fs-uae-arcade
	cd $(dist_dir) && ./update-version fs-uae-arcade.spec --rpm

dist: distdir
	find $(dist_dir) -exec touch \{\} \;
	cd "$(build_dir)" && tar zcfv $(dist_name).tar.gz $(dist_name)

windows-dist: distdir
	cd $(dist_dir)/dist/windows && make
	mv $(dist_dir)/fs-uae-arcade_*windows* .
	rm -Rf $(dist_dir)

macosx-dist: distdir
	cd $(dist_dir)/dist/macosx && make
	mv $(dist_dir)/fs-uae-arcade_*macosx* .
	rm -Rf $(dist_dir)

clean-dist:
	rm -Rf fs-uae-arcade-* fs-uae-arcade_*
	rm -Rf debian/fs-uae-arcade*

clean:
	rm -Rf build
	find share -name "*.mo" -delete
	find . -name "*.pyc" -delete
	find . -name "*.pyo" -delete
	find . -name __pycache__ -delete

distclean: clean clean-dist
	rm -f Makefile
	rm -f setup.py

=== launcher/Makefile ===
version := $(strip $(shell cat VERSION))
build_dir := "."
dist_name = fs-uae-launcher-$(version)
dist_dir := $(build_dir)/$(dist_name)

DESTDIR :=
prefix := /usr/local

ifeq ($(wildcard OpenGL),)
	OpenGL_dir := "."
else
	OpenGL_dir := "."
endif

ifeq ($(wildcard fs_uae_launcher),)
	fs_uae_launcher_dir := "."
else
	fs_uae_launcher_dir := "."
endif

ifeq ($(wildcard fs_uae_workspace),)
	fs_uae_workspace_dir := "."
else
	fs_uae_workspace_dir := "."
endif

ifeq ($(wildcard fsbc),)
	fsbc_dir := "."
else
	fsbc_dir := "."
endif

ifeq ($(wildcard fsgs),)
	fsgs_dir := "."
else
	fsgs_dir := "."
endif

ifeq ($(wildcard fstd),)
	fstd_dir := "."
else
	fstd_dir := "."
endif

ifeq ($(wildcard fsui),)
	fsui_dir := "."
else
	fsui_dir := "."
endif

ifeq ($(wildcard game_center),)
	game_center_dir := "."
else
	game_center_dir := "."
endif

ifeq ($(wildcard oyoyo),)
	oyoyo_dir := "."
else
	oyoyo_dir := "."
endif

ifeq ($(wildcard six),)
	six_dir := "."
else
	six_dir := "."
endif

all: mo

share/locale/%/LC_MESSAGES/fs-uae-launcher.mo: po/%.po
	mkdir -p share/locale/$*/LC_MESSAGES
	msgfmt --verbose $< -o $@

catalogs = \
	share/locale/cs/LC_MESSAGES/fs-uae-launcher.mo \
	share/locale/da/LC_MESSAGES/fs-uae-launcher.mo \
	share/locale/de/LC_MESSAGES/fs-uae-launcher.mo \
	share/locale/el/LC_MESSAGES/fs-uae-launcher.mo \
	share/locale/es/LC_MESSAGES/fs-uae-launcher.mo \
	share/locale/fi/LC_MESSAGES/fs-uae-launcher.mo \
	share/locale/fr/LC_MESSAGES/fs-uae-launcher.mo \
	share/locale/it/LC_MESSAGES/fs-uae-launcher.mo \
	share/locale/nb/LC_MESSAGES/fs-uae-launcher.mo \
	share/locale/pl/LC_MESSAGES/fs-uae-launcher.mo \
	share/locale/pt/LC_MESSAGES/fs-uae-launcher.mo \
	share/locale/pt_BR/LC_MESSAGES/fs-uae-launcher.mo \
	share/locale/sr/LC_MESSAGES/fs-uae-launcher.mo \
	share/locale/sv/LC_MESSAGES/fs-uae-launcher.mo \
	share/locale/tr/LC_MESSAGES/fs-uae-launcher.mo

mo: $(catalogs)


install-program:
ifeq ($(DESTDIR),)
	python3 setup.py install	 --install-lib=$(prefix)/share/fs-uae-launcher	 --install-scripts=$(prefix)/share/fs-uae-launcher
	install -d $(DESTDIR)$(prefix)/bin
	rm -f $(DESTDIR)$(prefix)/bin/fs-uae-launcher
	ln -s ../share/fs-uae-launcher/fs-uae-launcher	 $(DESTDIR)$(prefix)/bin/fs-uae-launcher
else
	python3 setup.py install	 --root=$(DESTDIR)	 --install-lib=$(prefix)/share/fs-uae-launcher	 --install-scripts=$(prefix)/share/fs-uae-launcher
	install -d $(DESTDIR)$(prefix)/bin
	rm -f $(DESTDIR)$(prefix)/bin/fs-uae-launcher
	ln -s ../share/fs-uae-launcher/fs-uae-launcher	 $(DESTDIR)$(prefix)/bin/fs-uae-launcher
endif

install-data: mo
	mkdir -p $(DESTDIR)$(prefix)/share
	cp -a share/* $(DESTDIR)$(prefix)/share

	mkdir -p $(DESTDIR)$(prefix)/share/doc/fs-uae-launcher
	cp -a README COPYING $(DESTDIR)$(prefix)/share/doc/fs-uae-launcher

install: install-data install-program

dist_dir := fs-uae-launcher-$(version)

distdir:
	rm -Rf $(dist_dir)/*
	mkdir -p $(dist_dir)

	cp -a $(OpenGL_dir)/OpenGL $(dist_dir)/
	cp -a $(fs_uae_launcher_dir)/fs_uae_launcher $(dist_dir)/
	cp -a $(fs_uae_workspace_dir)/fs_uae_workspace $(dist_dir)/
	cp -a $(fsbc_dir)/fsbc $(dist_dir)/
	cp -a $(fsgs_dir)/fsgs $(dist_dir)/
	cp -a $(fstd_dir)/fstd $(dist_dir)/
	cp -a $(fsui_dir)/fsui $(dist_dir)/
	cp -a $(game_center_dir)/game_center $(dist_dir)/
	cp -a $(oyoyo_dir)/oyoyo $(dist_dir)/
	cp -a $(six_dir)/six $(dist_dir)/
	cp -a share $(dist_dir)/
	mkdir $(dist_dir)/po/

	find $(dist_dir) -name "*.mo" -delete
	find $(dist_dir) -name "*.pyc" -delete
	find $(dist_dir) -name "*.pyo" -delete
	find $(dist_dir) -name __pycache__ -delete

	cp COPYING $(dist_dir)/
	cp INSTALL $(dist_dir)/
	cp Makefile $(dist_dir)/
	cp README $(dist_dir)/
	cp VERSION $(dist_dir)/
	mkdir -p $(dist_dir)/debian
	cp debian/changelog $(dist_dir)/debian
	cp debian/compat $(dist_dir)/debian
	cp debian/control $(dist_dir)/debian
	cp debian/copyright $(dist_dir)/debian
	cp debian/links $(dist_dir)/debian
	cp debian/rules $(dist_dir)/debian
	mkdir -p $(dist_dir)/debian/source
	cp debian/source/format $(dist_dir)/debian/source
	mkdir -p $(dist_dir)/dist/linux
	cp dist/linux/Makefile $(dist_dir)/dist/linux
	cp dist/linux/build.py $(dist_dir)/dist/linux
	cp dist/linux/standalone.py $(dist_dir)/dist/linux
	mkdir -p $(dist_dir)/dist/macosx
	cp dist/macosx/Info.plist $(dist_dir)/dist/macosx
	cp dist/macosx/Makefile $(dist_dir)/dist/macosx
	cp dist/macosx/fs-make-standalone-app.py $(dist_dir)/dist/macosx
	cp dist/macosx/sign.py $(dist_dir)/dist/macosx
	mkdir -p $(dist_dir)/dist/steamos
	cp dist/steamos/Makefile $(dist_dir)/dist/steamos
	mkdir -p $(dist_dir)/dist/windows
	cp dist/windows/Makefile $(dist_dir)/dist/windows
	cp dist/windows/clib.py $(dist_dir)/dist/windows
	cp dist/windows/fs-uae-launcher.iss $(dist_dir)/dist/windows
	cp dist/windows/iscc.py $(dist_dir)/dist/windows
	cp dist/windows/sign.py $(dist_dir)/dist/windows
	cp extra_imports.py $(dist_dir)/
	cp fs-uae-launcher $(dist_dir)/
	cp fs-uae-launcher.spec $(dist_dir)/
	mkdir -p $(dist_dir)/icon
	cp icon/fs-uae-launcher.icns $(dist_dir)/icon
	cp icon/fs-uae-launcher.ico $(dist_dir)/icon
	cp po-update.py $(dist_dir)/
	mkdir -p $(dist_dir)/po
	cp po/cs.po $(dist_dir)/po
	cp po/da.po $(dist_dir)/po
	cp po/de.po $(dist_dir)/po
	cp po/el.po $(dist_dir)/po
	cp po/es.po $(dist_dir)/po
	cp po/fi.po $(dist_dir)/po
	cp po/fr.po $(dist_dir)/po
	cp po/it.po $(dist_dir)/po
	cp po/nb.po $(dist_dir)/po
	cp po/pl.po $(dist_dir)/po
	cp po/pt.po $(dist_dir)/po
	cp po/pt_BR.po $(dist_dir)/po
	cp po/sr.po $(dist_dir)/po
	cp po/sv.po $(dist_dir)/po
	cp po/tr.po $(dist_dir)/po
	cp setup.py $(dist_dir)/
	cp update-version $(dist_dir)/
	cd $(dist_dir) && ./update-version setup.py --strict
	cd $(dist_dir) && ./update-version debian/changelog --deb
	cd $(dist_dir) && ./update-version dist/macosx/Info.plist --strict
	cd $(dist_dir) && ./update-version fs_uae_launcher/main.py
	cd $(dist_dir) && ./update-version fs-uae-launcher
	cd $(dist_dir) && ./update-version fs-uae-launcher.spec --rpm

dist: distdir
	find $(dist_dir) -exec touch \{\} \;
	cd "$(build_dir)" && tar zcfv $(dist_name).tar.gz $(dist_name)

windows-dist: distdir
	cd $(dist_dir)/dist/windows && make
	mv $(dist_dir)/fs-uae-launcher_*windows* .
	rm -Rf $(dist_dir)

macosx-dist: distdir
	cd $(dist_dir)/dist/macosx && make
	mv $(dist_dir)/fs-uae-launcher_*macosx* .
	rm -Rf $(dist_dir)

clean-dist:
	rm -Rf fs-uae-launcher-* fs-uae-launcher_*
	rm -Rf debian/fs-uae-launcher*

clean:
	rm -Rf build
	find share -name "*.mo" -delete
	find . -name "*.pyc" -delete
	find . -name "*.pyo" -delete
	find . -name __pycache__ -delete

distclean: clean clean-dist
	rm -f Makefile
	rm -f setup.py

=== arcade/dist/macosx/Makefile ===
version = $(strip $(shell cat ../../VERSION))
macos = fs-uae-arcade_$(version)_macosx/"FS-UAE Arcade.app"/Contents/MacOS/
frameworks = fs-uae-arcade_$(version)_macosx/"FS-UAE Arcade.app"/Contents/Frameworks/
resources = fs-uae-arcade_$(version)_macosx/"FS-UAE Arcade.app"/Contents/Resources/

all: bindist-arcade

clean:
	rm -Rf ../macosx/fs-uae-arcade*

arcade:
	make -C ../..
	rm -Rf fs-uae-arcade_$(version)_macosx	
	mkdir -p fs-uae-arcade_$(version)_macosx
	cd ../.. && python3 setup.py build_exe

	#mv ../dist/"FS-UAE Arcade.app" fs-uae-arcade_$(version)_macosx/
	#cp -pPR ../share $(resources)/
	# cp -pPR fs-uae_$(version)_macosx/FS-UAE.app fs-uae-arcade_$(version)_macosx/"FS-UAE Arcade.app"/Contents/Resources/

	mkdir -p $(macos)
	mkdir -p $(resources)
	mv ../../build/*/* $(macos)
	find fs-uae-arcade_$(version)_macosx/ -name *_debug.dylib -delete
	mv fs-uae-arcade_$(version)_macosx/"FS-UAE Arcade.app" fs-uae-arcade_$(version)_macosx/temp.app
	python3 fs-make-standalone-app.py fs-uae-arcade_$(version)_macosx/temp.app
	mv fs-uae-arcade_$(version)_macosx/temp.app fs-uae-arcade_$(version)_macosx/"FS-UAE Arcade.app"
	cp Info.plist fs-uae-arcade_$(version)_macosx/"FS-UAE Arcade.app"/Contents/
	cp ../../icon/fs-uae-arcade.icns $(resources)/fs-uae-arcade.icns
	# python3 sign.py fs-uae-arcade_$(version)_macosx/"FS-UAE Arcade.app"

bindist-arcade: arcade
	cd fs-uae-arcade_$(version)_macosx && GZIP=-9 tar zcfv ../../../fs-uae-arcade_$(version)_macosx.tar.gz *

=== launcher/dist/linux/Makefile ===
version = $(strip $(shell cat ../../VERSION))

all:
	./build.py $(version)

clean:
	rm -Rf *-linux-* *-steamos-*

=== launcher/dist/macosx/Makefile ===
version = $(strip $(shell cat ../../VERSION))
macos = fs-uae-launcher_$(version)_macosx/"FS-UAE Launcher.app"/Contents/MacOS/
frameworks = fs-uae-launcher_$(version)_macosx/"FS-UAE Launcher.app"/Contents/Frameworks/
resources = fs-uae-launcher_$(version)_macosx/"FS-UAE Launcher.app"/Contents/Resources/

all: bindist-launcher

clean:
	rm -Rf ../macosx/fs-uae-launcher*

launcher:
	make -C ../..
	rm -Rf fs-uae-launcher_$(version)_macosx	
	mkdir -p fs-uae-launcher_$(version)_macosx
	cd ../.. && python3 setup.py build_exe

	#mv ../dist/"FS-UAE Launcher.app" fs-uae-launcher_$(version)_macosx/
	# cp -pPR fs-uae_$(version)_macosx/FS-UAE.app fs-uae-launcher_$(version)_macosx/"FS-UAE Launcher.app"/Contents/Resources/

	mkdir -p $(macos)
	mkdir -p $(resources)
	cp -pPR ../../share/* $(resources)/
	mv ../../build/*/* $(macos)
	find fs-uae-launcher_$(version)_macosx/ -name *_debug.dylib -delete
	mv fs-uae-launcher_$(version)_macosx/"FS-UAE Launcher.app" fs-uae-launcher_$(version)_macosx/temp.app

	# cp -pPR `qtpaths --install-prefix`/qml/* fs-uae-launcher_$(version)_macosx/temp.app/Contents/MacOS
	python3 fs-make-standalone-app.py fs-uae-launcher_$(version)_macosx/temp.app

	mv fs-uae-launcher_$(version)_macosx/temp.app fs-uae-launcher_$(version)_macosx/"FS-UAE Launcher.app"
	cp Info.plist fs-uae-launcher_$(version)_macosx/"FS-UAE Launcher.app"/Contents/
	cp ../../icon/fs-uae-launcher.icns $(resources)/fs-uae-launcher.icns

	# cp -pPR `qtpaths --install-prefix`/qml fs-uae-launcher_$(version)_macosx/"FS-UAE Launcher.app"/Contents/MacOS

	# python3 sign.py fs-uae-launcher_$(version)_macosx/"FS-UAE Launcher.app"

bindist-launcher: launcher
	cd fs-uae-launcher_$(version)_macosx && GZIP=-9 tar zcfv ../../../fs-uae-launcher_$(version)_macosx.tar.gz *

=== launcher/dist/windows/Makefile ===
version = $(strip $(shell cat ../../VERSION))
emulator_dir = fs-uae_$(version)_windows
launcher_dir = fs-uae-launcher_$(version)_windows

all: progdir zipfile setup

clean:
	rm -Rf fs-uae-launcher-*_windows*
	rm -Rf fs-uae-launcher_*_windows*

progdir:
	rm -Rf $(launcher_dir)

	make -C ../..

	rm -Rf ../build
	# ../dist
	cd ../.. && python3 setup.py build_exe
	mv ../../build/exe.mingw-3.4 $(launcher_dir)

	rm -f $(launcher_dir)/imageformats/qgif*.dll
	rm -f $(launcher_dir)/imageformats/qmng*.dll
	rm -f $(launcher_dir)/imageformats/qsvg*.dll
	rm -f $(launcher_dir)/imageformats/qtga*.dll
	rm -f $(launcher_dir)/imageformats/qtiff*.dll
	rm -f $(launcher_dir)/imageformats/*d.dll
	rm -f $(launcher_dir)/imageformats/*d4.dll
	rm -f $(launcher_dir)/platforms/qminimal*.dll
	rm -f $(launcher_dir)/platforms/*d.dll

	python3 clib.py libjpeg-8.dll $(launcher_dir)

	cp -a ../../share $(launcher_dir)

	# mkdir -p $(launcher_dir)/share/fs-uae-launcher/fs_uae_launcher
	# cp -pPR ../../fs_uae_launcher/res $(launcher_dir)/share/fs-uae-launcher/fs_uae_launcher/
	# cp -pPR ../../fs_uae_launcher/data $(launcher_dir)/share/fs-uae-launcher/fs_uae_launcher/
	# mkdir -p $(launcher_dir)/share/fs-uae-launcher/fs_uae_workspace
	# cp -pPR ../../fs_uae_workspace/data $(launcher_dir)/share/fs-uae-launcher/fs_uae_workspace/

	python3 sign.py $(launcher_dir)/fs-uae-launcher.exe

	#cp -a /c/Microsoft.VC90.CRT $(launcher_dir)/
	#cp -a /c/msvcr100.dll $(launcher_dir)/
	#cp -a /c/msvcp100.dll $(launcher_dir)/
	# cp -a /c/Python33/Lib/site-packages/PyQt5/libEGL.dll $(launcher_dir)/
	# cp -a /c/Python33/Lib/site-packages/PyQt5/Qt5Svg.dll $(launcher_dir)/
	# cp -a /c/Python33/Lib/site-packages/PyQt4/QtSvg4.dll $(launcher_dir)/
	# cp -a /c/Python33/Lib/site-packages/PyQt4/QtXml4.dll $(launcher_dir)/
	# cp -a /c/Python33/DLLs/python3.dll $(launcher_dir)/
	# cp -a $(emulator_dir) $(launcher_dir)/FS-UAE

zipfile:
	cd $(launcher_dir) && zip -9 -r ../../../$(launcher_dir).zip *

setup:
	sed s/9.8.7/${version}/g fs-uae-launcher.iss > fs-uae-launcher.iss.tmp
	python3 iscc.py fs-uae-launcher.iss.tmp
	python3 sign.py ../fs-uae-launcher_$(version)_windows.exe
	rm fs-uae-launcher.iss.tmp

=== debian/changelog ===
fs-uae (2.6.2+dfsg-3build1) xenial; urgency=medium

  * No-change rebuild against libglew1.13

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 11 Nov 2015 17:46:34 +0000

fs-uae (2.6.2+dfsg-3) unstable; urgency=medium

  * Add missing #DEBHELPER# token to debian/fs-uae-netplay-server.postrm
    to ensure dh_installinit is called upon exit to clean up the rc.d
    links installed for fs-uae-netplay-server (Closes: 803447).
  * Always run debian/fs-uae-netplay-server.postrm with "set -e" so
    that the script aborts upon any errors during execution.
  * Add missing zero exit code at the end of
    debian/fs-uae-netplay-server.postrm.
  * Drop debian/menu file in compliance with CTTE decision (see #741573).

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 30 Oct 2015 12:42:51 +0100

fs-uae (2.6.2+dfsg-2) unstable; urgency=medium

  * Add debian/patches/0001-exclude-internal-libmpeg2-from-build.patch
    which prevents the internal version of libmpeg2 from being built at
    any time, even when fs-uae is not actually linked against the internal
    version.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 28 Oct 2015 15:04:20 +0100

fs-uae (2.6.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/0001-use-debian-libmpeg2-library.patch,
    upstream now always use the libmpeg2 library provided by
    the distribution.
  * Don't call 'dh' command with 'python2' in debian/rules to
    avoid Python issues when backporting fs-uae to Jessie.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 28 Oct 2015 10:41:31 +0100

fs-uae (2.6.1+dfsg-2) unstable; urgency=medium

  * Add debian/patches/0001-use-debian-libmpeg2-library.patch to
    make sure to always use Debian's own libmpeg2 library during build.
  * Add debian/fs-uae-netplay-server.lintian-overrides which overrides a
    lintian error regarding calling 'adduser' in the preinst script of
    fs-uae-netplayer-server as the homedir is actually created using 'usermod'.
  * Add debian/fs-uae-netplay-server.postrm to remove unowned directories
    after purging fs-uae-netplay-server. (Closes: #769774)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 16 Oct 2015 22:54:04 +0200

fs-uae (2.6.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add libfreetype6-dev to Build-Depends in debian/control. (Closes: #748636)
  * Add dh-autoreconf to Build-Depends in debian/control and run debhelper with
    "--with autoreconf" to update config.{sub,guess} and {libtool,aclocal}.m4.
  * Drop debian/patches/0003-remove-custom-mprotect-function.patch which was
    previously cherry-picked from the upstream development branch.
  * Drop debian/patches/0002-dont-copy-upstream-copying-file.patch. Any
    redundant files will be removed through maintainer scripts instead.
  * Drop debian/patches/0001-use-external-libglee.patch which is no longer
    necessary to disable the in-tree copy of glee. External versions of glee
    are now detected by the configure script and used automatically.
  * Add libglew-dev to Build-Depends in debian/control.
  * Switch from libsdl1.2-dev to libsdl2-dev in Build-Depends in debian/control.
  * Add zip to Build-Depends in debian/control.
  * Add libmpeg2-4-dev to Build-Depends in debian/control.
  * Add python3-all and python3-setuptools to Build-Depends in debian/control
    as fs-uae-arcade and -launcher are now Python3.
  * Add dh-python to Build-Depends in debian/control.
  * Update Depends for fs-uae-arcade and fs-uae-launcher for Python3
    and Qt5 in debian/control.
  * Run dh sequencer explicitly with "--with python2,python3" and use
    the python3 interpreter to run the setup.py scripts to enable Python3
    support for fs-uae-arcade and fs-uae-launcher.
  * Update Standards-Version to 3.9.6 in debian/control.
  * Clean up debian/control using wrap-and-sort.
  * Update copyright years and wildcards, remove unused license
    paragraphs and fix license name for "public-domain" paragraph
    in debian/copyright.
  * Remove unused debian/fs-uae-launcher.lintian-overrides.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Thu, 15 Oct 2015 19:07:53 +0200

=== debian/control ===
Source: fs-uae
Section: otherosfs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               dh-python,
               gettext,
               glee-dev,
               libfreetype6-dev,
               libglew-dev,
               libglib2.0-dev,
               libmpeg2-4-dev,
               libopenal-dev,
               libsdl2-dev,
               libxi-dev,
               python (>= 2.6),
               python-setuptools,
               python3-all (>= 3.2),
               python3-setuptools,
               zip
Standards-Version: 3.9.6
Homepage: http://fs-uae.net
Vcs-Git: git://github.com/glaubitz/fs-uae-debian.git
Vcs-Browser: https://github.com/glaubitz/fs-uae-debian

Package: fs-uae
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Cross-platform Amiga emulator based on UAE/WinUAE
 FS-UAE is a cross-platform Amiga emulator based on updated emulation code
 from WinUAE. FS-UAE uses SDL for input, OpenAL for audio and OpenGL
 for graphics.

Package: fs-uae-launcher
Architecture: all
Depends: fs-uae,
         python3-pyqt5,
         python3-pyqt5.qtopengl,
         python3-setuptools,
         ${misc:Depends},
         ${python3:Depends}
Description: Launcher and configuration program for FS-UAE
 FS-UAE is a cross-platform Amiga emulator based on updated emulation code
 from WinUAE. FS-UAE uses SDL for input, OpenAL for audio and OpenGL
 for graphics.
 .
 This package contains the launcher, a graphical user interface for
 setting up FS-UAE.

Package: fs-uae-netplay-server
Architecture: all
Depends: adduser (>= 3.11), python (>= 2.6), ${misc:Depends}
Description: Netplay server for FS-UAE online play
 FS-UAE is a cross-platform Amiga emulator based on updated emulation code
 from WinUAE. FS-UAE uses SDL for input, OpenAL for audio and OpenGL
 for graphics.
 .
 This package contains the FS-UAE netplay game server, and a service
 to start game servers on demand.

Package: fs-uae-arcade
Architecture: all
Depends: fs-uae,
         python3-pyqt5,
         python3-pyqt5.qtopengl,
         python3-setuptools,
         ${misc:Depends},
         ${python3:Depends}
Recommends: fs-uae-launcher, python-lhafile
Description: Fullscreen game browser for FS-UAE
 FS-UAE is a cross-platform Amiga emulator based on updated emulation code
 from WinUAE. FS-UAE uses SDL for input, OpenAL for audio and OpenGL
 for graphics.
 .
 This package contains FS-UAE Arcade, a fullscreen game browser
 for couch potatoes.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --sourcedirectory=arcade
	make -C arcade
	dh_auto_build --sourcedirectory=launcher
	make -C launcher

override_dh_auto_install:
	make install prefix=$$(pwd)/debian/fs-uae/usr
	make -C arcade install prefix=$$(pwd)/debian/fs-uae-arcade/usr
	cd arcade && python3 setup.py install --no-compile --install-layout=deb --root=../debian/fs-uae-arcade --install-lib=/usr/share/fs-uae-arcade --install-scripts=/usr/share/fs-uae-arcade
	make -C launcher install prefix=$$(pwd)/debian/fs-uae-launcher/usr
	cd launcher && python3 setup.py install --no-compile --install-layout=deb --root=../debian/fs-uae-launcher --install-lib=/usr/share/fs-uae-launcher --install-scripts=/usr/share/fs-uae-launcher
	cd server && python setup.py install --no-compile --install-layout=deb --root=../debian/fs-uae-netplay-server --install-lib=/usr/share/fs-uae-netplay-server --install-scripts=/usr/share/fs-uae-netplay-server

%:
	dh $@ --with autoreconf,python3

## fs-uae 2.8.0%2Bdfsg

=== debian/changelog ===
fs-uae (2.8.0+dfsg-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Tue, 10 Jan 2017 20:43:10 +0100

fs-uae (2.8.0+dfsg-2) unstable; urgency=medium

  * Override dh_auto_configure in debian/rules to
    enable JIT on supported architectures only.
  * Add debian/patches/0001-define-unknown-CPUs-as-
    CPU_unknown.patch which will define unknown host
    CPUs as CPU_unknown instead of failing the build.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 12 Oct 2016 15:19:43 +0200

fs-uae (2.8.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/0002-fix-sign-declarations.h, fixed upstream.
  * Drop debian/patches/0001-exclude-internal-libmpeg2-from-build.patch,
    upstream now disables their embedded version of libmpeg2 by default.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 12 Oct 2016 11:25:35 +0200

fs-uae (2.6.2+dfsg-4) unstable; urgency=medium

  * Add debian/patches/0002-fix-sign-declarations.h which fixes the
    sign declarations of multiple integer types. (Closes: #811779).
  * Update years in debian/copyright.
  * Update standards version to 3.9.8 in debian/control.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 16 May 2016 13:29:30 +0200

## fs-uae 2.8.0+dfsg

=== arcade/Makefile ===
--- 
+++ 
@@ -12,10 +12,22 @@
 	OpenGL_dir := "."
 endif
 
+ifeq ($(wildcard arcade),)
+	arcade_dir := "../fs-uae-launcher"
+else
+	arcade_dir := "."
+endif
+
 ifeq ($(wildcard fsbc),)
 	fsbc_dir := "../fs-uae-launcher"
 else
 	fsbc_dir := "."
+endif
+
+ifeq ($(wildcard fsboot),)
+	fsboot_dir := "../fs-uae-launcher"
+else
+	fsboot_dir := "."
 endif
 
 ifeq ($(wildcard fsgs),)
@@ -34,12 +46,6 @@
 	fsui_dir := "../fs-uae-launcher"
 else
 	fsui_dir := "."
-endif
-
-ifeq ($(wildcard game_center),)
-	game_center_dir := "../fs-uae-launcher"
-else
-	game_center_dir := "."
 endif
 
 ifeq ($(wildcard oyoyo),)
@@ -95,11 +101,12 @@
 	mkdir -p $(dist_dir)
 
 	cp -a $(OpenGL_dir)/OpenGL $(dist_dir)/
+	cp -a $(arcade_dir)/arcade $(dist_dir)/
 	cp -a $(fsbc_dir)/fsbc $(dist_dir)/
+	cp -a $(fsboot_dir)/fsboot $(dist_dir)/
 	cp -a $(fsgs_dir)/fsgs $(dist_dir)/
 	cp -a $(fstd_dir)/fstd $(dist_dir)/
 	cp -a $(fsui_dir)/fsui $(dist_dir)/
-	cp -a $(game_center_dir)/game_center $(dist_dir)/
 	cp -a $(oyoyo_dir)/oyoyo $(dist_dir)/
 	cp -a $(six_dir)/six $(dist_dir)/
 	cp -a share $(dist_dir)/
@@ -124,6 +131,8 @@
 	cp debian/rules $(dist_dir)/debian
 	mkdir -p $(dist_dir)/debian/source
 	cp debian/source/format $(dist_dir)/debian/source
+	mkdir -p $(dist_dir)/dist
+	cp dist/arch.py $(dist_dir)/dist
 	mkdir -p $(dist_dir)/dist/macosx
 	cp dist/macosx/Info.plist $(dist_dir)/dist/macosx
 	cp dist/macosx/Makefile $(dist_dir)/dist/macosx
@@ -140,7 +149,7 @@
 	cd $(dist_dir) && ./update-version setup.py --strict
 	cd $(dist_dir) && ./update-version debian/changelog --deb
 	cd $(dist_dir) && ./update-version dist/macosx/Info.plist --strict
-	cd $(dist_dir) && ./update-version fs_uae_launcher/main.py
+	cd $(dist_dir) && ./update-version launcher/version.py
 	cd $(dist_dir) && ./update-version fs-uae-arcade
 	cd $(dist_dir) && ./update-version fs-uae-arcade.spec --rpm

=== launcher/Makefile ===
--- 
+++ 
@@ -12,16 +12,10 @@
 	OpenGL_dir := "."
 endif
 
-ifeq ($(wildcard fs_uae_launcher),)
-	fs_uae_launcher_dir := "."
-else
-	fs_uae_launcher_dir := "."
-endif
-
-ifeq ($(wildcard fs_uae_workspace),)
-	fs_uae_workspace_dir := "."
-else
-	fs_uae_workspace_dir := "."
+ifeq ($(wildcard arcade),)
+	arcade_dir := "."
+else
+	arcade_dir := "."
 endif
 
 ifeq ($(wildcard fsbc),)
@@ -30,6 +24,12 @@
 	fsbc_dir := "."
 endif
 
+ifeq ($(wildcard fsboot),)
+	fsboot_dir := "."
+else
+	fsboot_dir := "."
+endif
+
 ifeq ($(wildcard fsgs),)
 	fsgs_dir := "."
 else
@@ -48,10 +48,10 @@
 	fsui_dir := "."
 endif
 
-ifeq ($(wildcard game_center),)
-	game_center_dir := "."
-else
-	game_center_dir := "."
+ifeq ($(wildcard launcher),)
+	launcher_dir := "."
+else
+	launcher_dir := "."
 endif
 
 ifeq ($(wildcard oyoyo),)
@@ -64,6 +64,12 @@
 	six_dir := "."
 else
 	six_dir := "."
+endif
+
+ifeq ($(wildcard workspace),)
+	workspace_dir := "."
+else
+	workspace_dir := "."
 endif
 
 all: mo
@@ -77,11 +83,14 @@
 	share/locale/da/LC_MESSAGES/fs-uae-launcher.mo \
 	share/locale/de/LC_MESSAGES/fs-uae-launcher.mo \
 	share/locale/el/LC_MESSAGES/fs-uae-launcher.mo \
+	share/locale/eo/LC_MESSAGES/fs-uae-launcher.mo \
 	share/locale/es/LC_MESSAGES/fs-uae-launcher.mo \
 	share/locale/fi/LC_MESSAGES/fs-uae-launcher.mo \
 	share/locale/fr/LC_MESSAGES/fs-uae-launcher.mo \
+	share/locale/hu/LC_MESSAGES/fs-uae-launcher.mo \
 	share/locale/it/LC_MESSAGES/fs-uae-launcher.mo \
 	share/locale/nb/LC_MESSAGES/fs-uae-launcher.mo \
+	share/locale/nl/LC_MESSAGES/fs-uae-launcher.mo \
 	share/locale/pl/LC_MESSAGES/fs-uae-launcher.mo \
 	share/locale/pt/LC_MESSAGES/fs-uae-launcher.mo \
 	share/locale/pt_BR/LC_MESSAGES/fs-uae-launcher.mo \
@@ -121,15 +130,16 @@
 	mkdir -p $(dist_dir)
 
 	cp -a $(OpenGL_dir)/OpenGL $(dist_dir)/
-	cp -a $(fs_uae_launcher_dir)/fs_uae_launcher $(dist_dir)/
-	cp -a $(fs_uae_workspace_dir)/fs_uae_workspace $(dist_dir)/
+	cp -a $(arcade_dir)/arcade $(dist_dir)/
 	cp -a $(fsbc_dir)/fsbc $(dist_dir)/
+	cp -a $(fsboot_dir)/fsboot $(dist_dir)/
 	cp -a $(fsgs_dir)/fsgs $(dist_dir)/
 	cp -a $(fstd_dir)/fstd $(dist_dir)/
 	cp -a $(fsui_dir)/fsui $(dist_dir)/
-	cp -a $(game_center_dir)/game_center $(dist_dir)/
+	cp -a $(launcher_dir)/launcher $(dist_dir)/
 	cp -a $(oyoyo_dir)/oyoyo $(dist_dir)/
 	cp -a $(six_dir)/six $(dist_dir)/
+	cp -a $(workspace_dir)/workspace $(dist_dir)/
 	cp -a share $(dist_dir)/
 	mkdir $(dist_dir)/po/
 
@@ -152,15 +162,19 @@
 	cp debian/rules $(dist_dir)/debian
 	mkdir -p $(dist_dir)/debian/source
 	cp debian/source/format $(dist_dir)/debian/source
+	mkdir -p $(dist_dir)/dist
+	cp dist/arch.py $(dist_dir)/dist
 	mkdir -p $(dist_dir)/dist/linux
 	cp dist/linux/Makefile $(dist_dir)/dist/linux
 	cp dist/linux/build.py $(dist_dir)/dist/linux
-	cp dist/linux/standalone.py $(dist_dir)/dist/linux
+	cp dist/linux/standalone-linux.py $(dist_dir)/dist/linux
 	mkdir -p $(dist_dir)/dist/macosx
 	cp dist/macosx/Info.plist $(dist_dir)/dist/macosx
 	cp dist/macosx/Makefile $(dist_dir)/dist/macosx
 	cp dist/macosx/fs-make-standalone-app.py $(dist_dir)/dist/macosx
 	cp dist/macosx/sign.py $(dist_dir)/dist/macosx
+	mkdir -p $(dist_dir)/dist/python
+	cp dist/python/Makefile $(dist_dir)/dist/python
 	mkdir -p $(dist_dir)/dist/steamos
 	cp dist/steamos/Makefile $(dist_dir)/dist/steamos
 	mkdir -p $(dist_dir)/dist/windows
@@ -181,11 +195,14 @@
 	cp po/da.po $(dist_dir)/po
 	cp po/de.po $(dist_dir)/po
 	cp po/el.po $(dist_dir)/po
+	cp po/eo.po $(dist_dir)/po
 	cp po/es.po $(dist_dir)/po
 	cp po/fi.po $(dist_dir)/po
 	cp po/fr.po $(dist_dir)/po
+	cp po/hu.po $(dist_dir)/po
 	cp po/it.po $(dist_dir)/po
 	cp po/nb.po $(dist_dir)/po
+	cp po/nl.po $(dist_dir)/po
 	cp po/pl.po $(dist_dir)/po
 	cp po/pt.po $(dist_dir)/po
 	cp po/pt_BR.po $(dist_dir)/po
@@ -197,7 +214,7 @@
 	cd $(dist_dir) && ./update-version setup.py --strict
 	cd $(dist_dir) && ./update-version debian/changelog --deb
 	cd $(dist_dir) && ./update-version dist/macosx/Info.plist --strict
-	cd $(dist_dir) && ./update-version fs_uae_launcher/main.py
+	cd $(dist_dir) && ./update-version launcher/version.py
 	cd $(dist_dir) && ./update-version fs-uae-launcher
 	cd $(dist_dir) && ./update-version fs-uae-launcher.spec --rpm

=== arcade/dist/macosx/Makefile ===
version = $(strip $(shell cat ../../VERSION))
arch = $(strip $(shell python3 ../arch.py))

ver_os_arch = $(version)_macosx_$(arch)
dname = fs-uae-arcade_$(ver_os_arch)
app = $(dname)/"FS-UAE Arcade.app"
macos =  $(app)/Contents/MacOS/
frameworks = $(app)/Contents/Frameworks/
resources = $(app)/Contents/Resources/

all: bindist-arcade

clean:
	rm -Rf ../macosx/fs-uae-arcade*

arcade:
	make -C ../..
	rm -Rf $(dname)
	mkdir -p $(dname)
	cd ../.. && python3 setup.py build_exe

	#mv ../dist/"FS-UAE Arcade.app" $(dname)/
	#cp -pPR ../share $(resources)/
	# cp -pPR fs-uae_$(version)_macosx/FS-UAE.app $(dname)/"FS-UAE Arcade.app"/Contents/Resources/

	mkdir -p $(macos)
	mkdir -p $(resources)
	mv ../../build/*/* $(macos)
	find $(dname)/ -name *_debug.dylib -delete
	mv $(dname)/"FS-UAE Arcade.app" $(dname)/temp.app
	python3 fs-make-standalone-app.py $(dname)/temp.app
	mv $(dname)/temp.app $(dname)/"FS-UAE Arcade.app"
	cp Info.plist $(dname)/"FS-UAE Arcade.app"/Contents/
	cp ../../icon/fs-uae-arcade.icns $(resources)/fs-uae-arcade.icns
	# python3 sign.py $(dname)/"FS-UAE Arcade.app"

bindist-arcade: arcade
	cd $(dname) && GZIP=-9 tar zcfv ../../../$(dname).tar.gz *

=== launcher/dist/macosx/Makefile ===
version = $(strip $(shell cat ../../VERSION))
arch = $(strip $(shell python3 ../arch.py))

ver_os_arch = $(version)_macosx_$(arch)
dname = fs-uae-launcher_$(ver_os_arch)
app = $(dname)/"FS-UAE Launcher.app"
macos =  $(app)/Contents/MacOS/
frameworks = $(app)/Contents/Frameworks/
resources = $(app)/Contents/Resources/

all: bindist-launcher

clean:
	rm -Rf ../macosx/fs-uae-launcher*

launcher:
	make -C ../..
	rm -Rf $(dname)
	mkdir -p $(dname)
	cd ../.. && python3 setup.py build_exe

	#mv ../dist/"FS-UAE Launcher.app" $(dname)/
	# cp -pPR fs-uae_$(ver_os_arch)/FS-UAE.app $(app)/Contents/Resources/

	mkdir -p $(macos)
	mkdir -p $(resources)
	cp -pPR ../../share/* $(resources)/
	rm -Rf $(resources)/applications
	rm -Rf $(resources)/icons
	mv ../../build/*/* $(macos)
	find $(dname)/ -name *_debug.dylib -delete
	mv $(app) $(dname)/temp.app

	rm $(dname)/temp.app/Contents/MacOS/platforms/libqminimal.dylib
	rm $(dname)/temp.app/Contents/MacOS/platforms/libqoffscreen.dylib

	rm $(dname)/temp.app/Contents/MacOS/imageformats/libqdds.dylib
	rm $(dname)/temp.app/Contents/MacOS/imageformats/libqjp2.dylib
	rm $(dname)/temp.app/Contents/MacOS/imageformats/libqmng.dylib
	rm $(dname)/temp.app/Contents/MacOS/imageformats/libqsvg.dylib
	rm $(dname)/temp.app/Contents/MacOS/imageformats/libqtga.dylib
	rm $(dname)/temp.app/Contents/MacOS/imageformats/libqtiff.dylib
	rm $(dname)/temp.app/Contents/MacOS/imageformats/libqwbmp.dylib
	rm $(dname)/temp.app/Contents/MacOS/imageformats/libqwebp.dylib

	# mv $(dname)/temp.app/Contents/MacOS/platforms/* \
	# 	$(dname)/temp.app/Contents/MacOS
	# rm -Rf $(dname)/temp.app/Contents/MacOS/platforms
	# mv $(dname)/temp.app/Contents/MacOS/imageformats/* \
	# 	$(dname)/temp.app/Contents/MacOS
	# rm -Rf $(dname)/temp.app/Contents/MacOS/imageformats

	# cp -pPR `qtpaths --install-prefix`/qml/* $(dname)/temp.app/Contents/MacOS
	python3 fs-make-standalone-app.py $(dname)/temp.app

	mv $(dname)/temp.app $(app)
	cp Info.plist $(app)/Contents/
	cp ../../icon/fs-uae-launcher.icns $(resources)/fs-uae-launcher.icns

	make -C ../python

	rm -Rf $(macos)/OpenGL
	rm -Rf $(macos)/arcade
	rm -Rf $(macos)/fsbc
	rm -Rf $(macos)/fsgs
	rm -Rf $(macos)/fstd
	rm -Rf $(macos)/fsui
	rm -Rf $(macos)/launcher
	rm -Rf $(macos)/oyoyo
	rm -Rf $(macos)/six
	rm -Rf $(macos)/workspace

	zip -d $(macos)/library.zip OpenGL/\*
	zip -d $(macos)/library.zip arcade/\*
	zip -d $(macos)/library.zip fsbc/\*
	zip -d $(macos)/library.zip fsgs/\*
	zip -d $(macos)/library.zip fstd/\*
	zip -d $(macos)/library.zip fsui/\*
	zip -d $(macos)/library.zip launcher/\*
	zip -d $(macos)/library.zip oyoyo/\*
	zip -d $(macos)/library.zip six/\*
	zip -d $(macos)/library.zip workspace/\*

	cp -a ../python/*.zip $(macos)

	# cp -pPR `qtpaths --install-prefix`/qml $(app)/Contents/MacOS
	# python3 sign.py $(app)

bindist-launcher: launcher
	cd $(dname) && GZIP=-9 tar zcfv ../../../$(dname).tar.gz *

=== launcher/dist/python/Makefile ===
lib = ../../build/lib

all: build

build:
	# cd ../../fs-uae-launcher && ./bootstrap
	cd ../.. && rm -Rf build/lib
	cd ../.. && python3 setup.py build

	cd $(lib) && rm -f *.zip

	# cd $(lib) && zip -r --exclude="*.ttf" arcade.zip arcade
	cd $(lib) && zip -r arcade.zip arcade
	mv $(lib)/arcade.zip .
	cd $(lib) && zip -r fsbc.zip fsbc
	mv $(lib)/fsbc.zip .
	# cd $(lib) && zip -r fsboot.zip fsboot
	# mv $(lib)/fsboot.zip .
	cd $(lib) && zip -r fsgs.zip fsgs
	mv $(lib)/fsgs.zip .
	cd $(lib) && zip -r fstd.zip fstd
	mv $(lib)/fstd.zip .
	cd $(lib) && zip -r fsui.zip fsui
	mv $(lib)/fsui.zip .
	cd $(lib) && zip -r launcher.zip launcher
	mv $(lib)/launcher.zip .
	cd $(lib) && zip -r OpenGL.zip OpenGL
	mv $(lib)/OpenGL.zip .
	cd $(lib) && zip -r oyoyo.zip oyoyo
	mv $(lib)/oyoyo.zip .
	cd $(lib) && zip -r six.zip six
	mv $(lib)/six.zip .
	# cd $(lib) && zip -r --exclude="*.ttf" workspace.zip workspace
	cd $(lib) && zip -r workspace.zip workspace
	mv $(lib)/workspace.zip .

	cd ../.. && rm -Rf build/lib

=== debian/changelog ===
fs-uae (2.8.0+dfsg-2~bpo7+1) wheezy-backports-sloppy; urgency=medium

  * Rebuild for wheezy-backports-sloppy.
  * Add libpng12-dev to Build-Depends in debian/control.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 11 Jan 2017 15:40:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: fs-uae
 Section: otherosfs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
+Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                dh-python,
@@ -13,6 +12,7 @@
                libglib2.0-dev,
                libmpeg2-4-dev,
                libopenal-dev,
+	       libpng12-dev,
                libsdl2-dev,
                libxi-dev,
                python (>= 2.6),
@@ -20,7 +20,7 @@
                python3-all (>= 3.2),
                python3-setuptools,
                zip
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://fs-uae.net
 Vcs-Git: git://github.com/glaubitz/fs-uae-debian.git
 Vcs-Browser: https://github.com/glaubitz/fs-uae-debian

## fs-uae 2.8.3+dfsg

=== debian/changelog ===
fs-uae (2.8.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 08 Apr 2017 12:02:39 +0200

## fs-uae 2.8.4+dfsg

=== arcade/Makefile ===
--- 
+++ 
@@ -46,6 +46,12 @@
 	fsui_dir := "../fs-uae-launcher"
 else
 	fsui_dir := "."
+endif
+
+ifeq ($(wildcard launcher),)
+	launcher_dir := "../fs-uae-launcher"
+else
+	launcher_dir := "."
 endif
 
 ifeq ($(wildcard oyoyo),)
@@ -107,6 +113,7 @@
 	cp -a $(fsgs_dir)/fsgs $(dist_dir)/
 	cp -a $(fstd_dir)/fstd $(dist_dir)/
 	cp -a $(fsui_dir)/fsui $(dist_dir)/
+	cp -a $(launcher_dir)/launcher $(dist_dir)/
 	cp -a $(oyoyo_dir)/oyoyo $(dist_dir)/
 	cp -a $(six_dir)/six $(dist_dir)/
 	cp -a share $(dist_dir)/
@@ -164,7 +171,7 @@
 
 macosx-dist: distdir
 	cd $(dist_dir)/dist/macosx && make
-	mv $(dist_dir)/fs-uae-arcade_*macosx* .
+	mv $(dist_dir)/fs-uae-arcade_*macos* .
 	rm -Rf $(dist_dir)
 
 clean-dist:

=== launcher/Makefile ===
--- 
+++ 
@@ -229,7 +229,7 @@
 
 macosx-dist: distdir
 	cd $(dist_dir)/dist/macosx && make
-	mv $(dist_dir)/fs-uae-launcher_*macosx* .
+	mv $(dist_dir)/fs-uae-launcher_*macos* .
 	rm -Rf $(dist_dir)
 
 clean-dist:

=== arcade/dist/macosx/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 version = $(strip $(shell cat ../../VERSION))
 arch = $(strip $(shell python3 ../arch.py))
 
-ver_os_arch = $(version)_macosx_$(arch)
+ver_os_arch = $(version)_macos_$(arch)
 dname = fs-uae-arcade_$(ver_os_arch)
 app = $(dname)/"FS-UAE Arcade.app"
 macos =  $(app)/Contents/MacOS/

=== launcher/dist/macosx/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 version = $(strip $(shell cat ../../VERSION))
 arch = $(strip $(shell python3 ../arch.py))
 
-ver_os_arch = $(version)_macosx_$(arch)
+ver_os_arch = $(version)_macos_$(arch)
 dname = fs-uae-launcher_$(ver_os_arch)
 app = $(dname)/"FS-UAE Launcher.app"
 macos =  $(app)/Contents/MacOS/
@@ -31,17 +31,17 @@
 	find $(dname)/ -name *_debug.dylib -delete
 	mv $(app) $(dname)/temp.app
 
-	rm $(dname)/temp.app/Contents/MacOS/platforms/libqminimal.dylib
-	rm $(dname)/temp.app/Contents/MacOS/platforms/libqoffscreen.dylib
+	rm -f $(dname)/temp.app/Contents/MacOS/platforms/libqminimal.dylib
+	rm -f $(dname)/temp.app/Contents/MacOS/platforms/libqoffscreen.dylib
 
-	rm $(dname)/temp.app/Contents/MacOS/imageformats/libqdds.dylib
-	rm $(dname)/temp.app/Contents/MacOS/imageformats/libqjp2.dylib
-	rm $(dname)/temp.app/Contents/MacOS/imageformats/libqmng.dylib
-	rm $(dname)/temp.app/Contents/MacOS/imageformats/libqsvg.dylib
-	rm $(dname)/temp.app/Contents/MacOS/imageformats/libqtga.dylib
-	rm $(dname)/temp.app/Contents/MacOS/imageformats/libqtiff.dylib
-	rm $(dname)/temp.app/Contents/MacOS/imageformats/libqwbmp.dylib
-	rm $(dname)/temp.app/Contents/MacOS/imageformats/libqwebp.dylib
+	rm -f $(dname)/temp.app/Contents/MacOS/imageformats/libqdds.dylib
+	rm -f $(dname)/temp.app/Contents/MacOS/imageformats/libqjp2.dylib
+	rm -f $(dname)/temp.app/Contents/MacOS/imageformats/libqmng.dylib
+	rm -f $(dname)/temp.app/Contents/MacOS/imageformats/libqsvg.dylib
+	rm -f $(dname)/temp.app/Contents/MacOS/imageformats/libqtga.dylib
+	rm -f $(dname)/temp.app/Contents/MacOS/imageformats/libqtiff.dylib
+	rm -f $(dname)/temp.app/Contents/MacOS/imageformats/libqwbmp.dylib
+	rm -f $(dname)/temp.app/Contents/MacOS/imageformats/libqwebp.dylib
 
 	# mv $(dname)/temp.app/Contents/MacOS/platforms/* \
 	# 	$(dname)/temp.app/Contents/MacOS

=== launcher/dist/windows/Makefile ===
version = $(strip $(shell cat ../../VERSION))
arch = $(strip $(shell python3 ../arch.py))

emulator_dir = fs-uae_$(version)_windows_$(arch)
launcher_dir = fs-uae-launcher_$(version)_windows_$(arch)

all: progdir zipfile setup

clean:
	rm -Rf fs-uae-launcher-*_windows*
	rm -Rf fs-uae-launcher_*_windows*

progdir:
	rm -Rf $(launcher_dir)

	make -C ../..

	rm -Rf ../build
	cd ../.. && python3 setup.py build_exe
	mv ../../build/exe.mingw-3.4 $(launcher_dir)

	rm -f $(launcher_dir)/imageformats/qdds*.dll
	rm -f $(launcher_dir)/imageformats/qicns*.dll
	rm -f $(launcher_dir)/imageformats/qjp2*.dll
	rm -f $(launcher_dir)/imageformats/qmng*.dll
	rm -f $(launcher_dir)/imageformats/qsvg*.dll
	rm -f $(launcher_dir)/imageformats/qtga*.dll
	rm -f $(launcher_dir)/imageformats/qtiff*.dll
	rm -f $(launcher_dir)/imageformats/qwbmp*.dll
	rm -f $(launcher_dir)/imageformats/qwebp*.dll
	rm -f $(launcher_dir)/imageformats/*d.dll
	rm -f $(launcher_dir)/imageformats/*d4.dll
	rm -f $(launcher_dir)/platforms/qminimal*.dll
	rm -f $(launcher_dir)/platforms/*d.dll

	# mv $(launcher_dir)/imageformats/* $(launcher_dir)
	# rm -Rf $(launcher_dir)/imageformats/
	# mv $(launcher_dir)/platforms/* $(launcher_dir)
	# rm -Rf $(launcher_dir)/platforms/

	python3 clib.py libjpeg-8.dll $(launcher_dir)

	cp -a ../../share $(launcher_dir)
	rm -Rf $(launcher_dir)/share/applications
	rm -Rf $(launcher_dir)/share/icons

	rm -Rf $(launcher_dir)/OpenGL
	rm -Rf $(launcher_dir)/arcade
	rm -Rf $(launcher_dir)/fsbc
	rm -Rf $(launcher_dir)/fsgs
	rm -Rf $(launcher_dir)/fstd
	rm -Rf $(launcher_dir)/fsui
	rm -Rf $(launcher_dir)/launcher
	rm -Rf $(launcher_dir)/oyoyo
	rm -Rf $(launcher_dir)/six
	rm -Rf $(launcher_dir)/workspace

	zip -d $(launcher_dir)/library.zip OpenGL/\*
	zip -d $(launcher_dir)/library.zip arcade/\*
	zip -d $(launcher_dir)/library.zip fsbc/\*
	zip -d $(launcher_dir)/library.zip fsgs/\*
	zip -d $(launcher_dir)/library.zip fstd/\*
	zip -d $(launcher_dir)/library.zip fsui/\*
	zip -d $(launcher_dir)/library.zip launcher/\*
	zip -d $(launcher_dir)/library.zip oyoyo/\*
	zip -d $(launcher_dir)/library.zip six/\*
	zip -d $(launcher_dir)/library.zip workspace/\*

	make -C ../python
	cp -a ../python/*.zip $(launcher_dir)

	python3 sign.py $(launcher_dir)/fs-uae-launcher.exe

zipfile:
	cd $(launcher_dir) && zip -9 -r ../../../$(launcher_dir).zip *

setup:
	sed s/9.8.7/${version}/g fs-uae-launcher.iss > fs-uae-launcher.iss2.tmp
	sed s/ARCH/${arch}/g fs-uae-launcher.iss2.tmp > fs-uae-launcher.iss.tmp
	python3 iscc.py fs-uae-launcher.iss.tmp
	python3 sign.py ../fs-uae-launcher_$(version)_windows_$(arch).exe
	rm fs-uae-launcher.iss.tmp

=== debian/changelog ===
fs-uae (2.8.4+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 12:34:55 +0800

fs-uae (2.8.4+dfsg-2) unstable; urgency=medium

  * Add debian/patches/0002-rename-async-for-python3.7.patch
    to account for the renaming of the "async" module in
    pyopengl to "_async". (Closes: #914790)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 02 Dec 2018 19:10:14 +0100

fs-uae (2.8.4+dfsg-1) unstable; urgency=medium

  * New upstream release. (Closes: #880944)
  * Remove glee-dev from Build-Depends in debian/control.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sat, 02 Dec 2017 19:14:24 +0100

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,13 @@
 	dh_auto_build --sourcedirectory=launcher
 	make -C launcher
 
+override_dh_auto_configure:
+ifneq ($(filter $(DEB_BUILD_ARCH), amd64 i386 kfreebsd-amd64 kfreebsd-i386 x32),)
+	dh_auto_configure -- --enable-jit
+else
+	dh_auto_configure -- --disable-jit
+endif
+
 override_dh_auto_install:
 	make install prefix=$$(pwd)/debian/fs-uae/usr
 	make -C arcade install prefix=$$(pwd)/debian/fs-uae-arcade/usr
